require  'csv'
require 'rest_client'
require 'json'
module CSV_MODULE
  class MyCSV
    def initialize filename, scheme=nil
      @filename = filename
      @scheme = scheme
    end

    def get_queries
      queries = []
      CSV.foreach(@filename, :headers=> true) do |row|
        queries.push(row.to_hash)
        #p row.to_hash
      end
      queries
    end
  end

end

module RestClient2
  include RestClient

  def self.get(url, headers={}, &block)
    Request.execute(:method => :get, :url => url, :headers => headers,
                    :timeout => $timeout, :open_timeout => $open_timeout, &block)
  end

  def self.post(url, payload, headers={}, &block)
    Request.execute(:method => :post, :url => url, :payload => payload, :headers => headers,
                    :timeout => 20000, :open_timeout => 20000, &block)
  end
end